Page MenuHomePhabricator

demos: Show code functionality got lost - update javascript-stringify to >1.6.0
Open, Stalled, LowestPublic

Description

Somewhere on the way last couple of commits, the demos lost their ability for show widget code.

Uncaught ReferenceError: javascriptStringify is not defined

Event Timeline

Volker_E created this task.Mar 28 2019, 4:12 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 28 2019, 4:12 AM
Volker_E triaged this task as High priority.Mar 28 2019, 4:25 AM
Volker_E updated the task description. (Show Details)

Change 501121 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[oojs/ui@master] Revert "build: Upgrade javascript-stringify to 2.0.0 for audit fix"

https://gerrit.wikimedia.org/r/501121

Volker_E moved this task from Backlog to Reviewing on the OOUI board.Apr 4 2019, 12:39 AM

Change 501962 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[oojs/ui@master] [WIP] demos: Attempt to fix stringify by loading as a module

https://gerrit.wikimedia.org/r/501962

Any chance this can be fixed before the Hackathon (a week from now)?

@kaldari Had the same thought. I can't care about the mid-term preferable solution brought up by @matmarex to build the demos on top of Webpack in time for the Hackathon. Not sure about @Jdforrester-WMF attempt above.

Change 501121 merged by jenkins-bot:
[oojs/ui@master] Revert "build: Upgrade javascript-stringify to 2.0.0 for audit fix"

https://gerrit.wikimedia.org/r/501121

@kaldari ^ Functionality re-enabled in short-term solution for Hackathon!

Volker_E changed the task status from Open to Stalled.May 11 2019, 12:11 PM
Volker_E lowered the priority of this task from High to Lowest.
Volker_E removed a project: Patch-For-Review.

Stalled until next package update attempt.

Volker_E moved this task from Reviewing to Backlog on the OOUI board.May 11 2019, 12:12 PM

Change 513020 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] Update OOUI to v0.32.0

https://gerrit.wikimedia.org/r/513020

Change 513020 merged by jenkins-bot:
[mediawiki/core@master] Update OOUI to v0.32.0

https://gerrit.wikimedia.org/r/513020

@Volker_E: In T219479#5174020 a year ago you wrote "Stalled until next package update attempt." Does that refer to bumping javascript-stringify in package-lock.json and package.json from current "1.6.0" to a newer version? If so, is there a task for that?
(Or did that somehow refer to oojs-ui itself (as merged https://gerrit.wikimedia.org/r/513020 was linked to this task for reasons that I don't know)?)

Asking as there is no link to "the demos" in the task desc hence no idea where to re-test or see the actual bug. And as this task has been stalled for a year...

@Volker_E: In T219479#5174020 a year ago you wrote "Stalled until next package update attempt." Does that refer to bumping javascript-stringify in package-lock.json and package.json from current "1.6.0" to a newer version?

Yes.

If so, is there a task for that?

This is that task. Probably blocked by upstream. We're not interested in wasting countless more hours screwing around with this breakage.

Aklapper renamed this task from demos: Show code functionality got lost to demos: Show code functionality got lost - update javascript-stringify to >1.6.0.May 22 2020, 4:31 PM